package com.yh.saas.plugin.clouddisk.exception;

import lombok.Getter;
import lombok.Setter;

public enum DataManagerExceptionEnums {


    DATA_MANAGER_FOLDER_NAME("DATA_MANAGER-001", "文件夹名字重复!"),

    DATA_MANAGER_FOLDER_NULL_NAME_ERROR("DATA_MANAGER-002", "文件夹名称为空!"),

    DATA_MANAGER_FILE_NAME_REPEAT("DATA_MANAGER-003", "同一文件夹不允许有相同文件!"),

    DATA_MANAGER_UPDATE_FILE_NULL_ERROR("DATA_MANAGER-004", "上传文件是空!"),

    DATA_MANAGER_UPDATE_FOLDER_NULL_ERROR("DATA_MANAGER-005", "无文件所属的文件夹!"),

    DATA_MANAGER_SURPLUS_SIZE("DATA_MANAGER-006", "云盘空间不足!"),

    DATA_MANAGER_NULL_APPENDIX("DATA_MANAGER-007", "暂无附件"),

    DATA_MANAGER_ID_NULL("DATA_MANAGER-NULL", "您输入得id非法!"),;

    @Setter
    @Getter
    private String code;

    @Setter
    @Getter
    private String value;


    DataManagerExceptionEnums(String code, String value) {
        this.code = code;
        this.value = value;
    }
}
